User Security Events

A UserSecurityEvent is a log record for user security activity such as user lockouts.

List User Security Events

Endpoint

GET/user_security_events

Return Object

UserSecurityEvent[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/user_security_events.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "event_type": "example",
    "body": "example",
    "event_errors": [
      "example"
    ],
    "created_at": "2000-01-01T01:00:00Z",
    "body_url": "example",
    "user_id": 1
  }
]

Show User Security Event

Endpoint

GET/user_security_events/{id}

Return Object

UserSecurityEvent

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
User Security Event ID.

Example Request

curl https://app.files.com/api/rest/v1/user_security_events/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_type": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "user_id": 1
}

The UserSecurityEvent Object

Some of the endpoints above return a UserSecurityEvent object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event ID
event_type
string
Type of user security event being recorded.
Possible values: lockout
body
string
Event body.
event_errors
array(string)
Event errors.
created_at
date-time
Event create date/time.
body_url
string
Link to log file.
user_id
int64
User ID.

Example UserSecurityEvent Object

{
  "id": 1,
  "event_type": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "user_id": 1
}